package org.texttechnologylab.project.gruppe_05_1.util;

public class Logger {
    private static final boolean DEBUG_LOGGING = false;
    // info, warn, error with message and colors and datetime
    public static void info(String message) {
        System.out.println("\u001B[32m" + java.time.LocalTime.now() + " INFO: " + message + "\u001B[0m");
    }

    public static void warn(String message) {
        System.out.println("\u001B[33m" + java.time.LocalTime.now() + " WARN: " + message + "\u001B[0m");
    }

    public static void error(String message) {
        System.out.println("\u001B[31m" + java.time.LocalTime.now() + " ERROR: " + message + "\u001B[0m");
    }

    public static void debug(String message) {
        if (DEBUG_LOGGING) {
            System.out.println("\u001B[38;5;214m" + java.time.LocalTime.now() + " DEBUG: " + message + "\u001B[0m");
        }
    }

    public static void pink(String message) {
        System.out.println("\u001B[35m" + java.time.LocalTime.now() + " PINK: " + message + "\u001B[0m");
    }
}
